TYPO3.Neos - Task # 25803

Status: Resolved Priority: Should have
Author: Bastian Waidelich Category:

Created: 2011-04-06 Assigned To: Bastian Waidelich
Updated: 2012-08-31 Due date:

Subiject: NodeRoutePartHandler should not return a node object

Description

See #25801 for the reasoning.
Note: This change leads to the fact that a node has to be fetched twice for a request. But as successful Routing matches are cached,
this should not be a problem.

Related issues:

related to TYPOS.Flow - Task # 26078: Enforce RouteParts to only return simpl... Resolved 2011-04-18
related to TYPOS.Flow - Bug # 25902: It's not possible to add an entity as |i... Resolved 2011-04-12
History

#1 - 2011-05-05 13:48 - Robert Lemke
- Project changed from Core Team to Base Distribution

#2 - 2011-05-17 10:02 - Sebastian Kurfuerst
- Status changed from New to Resolved

- Assigned To set to Bastian Waidelich

- Target version set to Sprint 7

- % Done changed from 0 to 100

already fixed since quite some time.

#3 - 2012-08-31 10:38 - Robert Lemke
- Project changed from Base Distribution to TYPO3.Neos
